For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
      • GETList or filter tasks
      • POSTCreate a task
      • PUTBulk-update tasks
      • GETFetch a task's details
      • PUTUpdate a task
      • DELDelete a task
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM CoreTasks

Bulk-update tasks

||View as Markdown|
PUT
https://api.close.com/api/v1/task/
PUT
/api/v1/task/
$curl -X PUT https://api.close.com/api/v1/task/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "is_complete": true,
> "_params": {
> "id__in": "task_aRUZXCm9lMb2LwipTPhfFoFbCsUnaoQh1ncQ7WLnjlI,task_qhRXeZMdsZ4jxnBf589mpjE7BLb6lo5WTIEFMY7cbsf,task_pexvrlCZXiGlzvCp0HcnWcbBR0QNQwi0XFOKMqoUE8G"
> }
>}'
1{
2 "ok": true
3}

Any of the filters of the GET endpoint may be used. For example, to update multiple tasks with given IDs A, B and C, id__in=A,B,C would be passed.

Only the assigned_to, date and is_complete fields may be updated.

Was this page helpful?
Previous

Create a task

Next

Fetch a task's details

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

assigned_tostring or nullOptional
formatstring or nullOptional
idstring or nullOptional
id__instring or nullOptional
is_completestring or nullOptional
lead_idstring or nullOptional
_order_bystring or nullOptional
organization_idstring or nullOptional
_typestring or nullOptional
_type__instring or nullOptional
viewstring or nullOptional
datestring or nullOptional
date__ltstring or nullOptional
date__ltestring or nullOptional
date__gtstring or nullOptional
date__gtestring or nullOptional
due_datestring or nullOptional
due_date__ltstring or nullOptional
due_date__ltestring or nullOptional
due_date__gtstring or nullOptional
due_date__gtestring or nullOptional
date_created__ltstring or nullOptional
date_created__ltestring or nullOptional
date_created__gtstring or nullOptional
date_created__gtestring or nullOptional
date_updated__ltstring or nullOptional
date_updated__ltestring or nullOptional
date_updated__gtstring or nullOptional
date_updated__gtestring or nullOptional
_fieldsstringOptional

Comma-separated list of fields to include in the response.

Request

This endpoint expects an object.
assigned_tostringOptional
datedatetime or dateOptional
is_completebooleanOptional
organization_idstringOptional
priorityenumOptional
Allowed values:
resolutionenum or nullOptional
Allowed values:
textstringOptional

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error